HyperSKU
HyperSKU
  1. Orders
  • HyperSKU
    • Authentication
      • getToken
      • accessToken
      • refreshToken
    • Product
      • getPrivateProduct
      • getProductInfo
    • Logistics
      • getCountryCode
      • getLogisticsSku
      • /internationalLogisticsInfo/{storeOrderId}
    • Orders
      • cancelOrder
        GET
      • create
        POST
      • getCustomerInventoryInfo
        POST
      • getInventoryHistoryByOrderId
        POST
      • getInventoryInfo
        GET
      • getOrderInfos
        GET
      • getOrdersStatus
        POST
      • getStockOrderInfo
        GET
      • updateOrderAddress
        POST
    • Schemas
      • LoginReqDto
      • CountryCodeReponseDto
      • LoginResDto
      • CustomerInventoryDto
      • InternationalLogisticsInfo
      • OAuth2AccesTokenReq
      • LogisticsDetailDto
      • OAuth2RefreshTokenReq
      • LogisticsReponseDto
      • OAuth2TokenVo
      • LogisticsRequestDto
      • LogisticsResult
      • ObjectRestResponse
      • ObjectRestResponse«LogisticsResult»
      • ObjectRestResponse«OrderAddressInfo»
      • ObjectRestResponse«OrderResult»
      • ObjectRestResponse«OrderStatusInfo»
      • OrderAddressInfo
      • OrderBaseInfo
      • OrderCreateResponse
      • OrderInventoryHistoryDto
      • OrderInventoryResult
      • OrderItemInfo
      • OrderResult
      • OrderStatusInfo
      • OrdersGoodsDto
      • OrdersInfoDto
      • OrdersLogisticsDto
      • OrdersLogisticsTrackInfoVo
      • OrdersLogisticsTrackVo
      • OrdersShipGoodsAliVo
      • OrdersStatusDto
      • OrdersStatusResDto
      • ProductInfoDto
      • RegionCodeDto
      • ShippingAddressDto
      • SkuAttributesDto
      • SkuInfoDto
      • SkuItemDto
      • TableData«OrderInventoryResult»
      • TableData«OrderResult»
      • TableData«ProductInfoDto»
      • TableResultResponse«OrderInventoryResult»
      • TableResultResponse«OrderResult»
      • TableResultResponse«ProductInfoDto»
  1. Orders

getOrderInfos

GET
/admin/orders/list/{storeOrderId}
Get order infos

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
*/*
OK
Body*/*

🟠401
🟠403
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/customer/admin/orders/list/?storeOrderName=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "orderAddressInfo": {
        "address1": "string",
        "address2": "string",
        "city": "string",
        "countryCode": "string",
        "countryName": "string",
        "firstName": "string",
        "idNo": "string",
        "lastName": "string",
        "phone": "string",
        "province": "string",
        "region": "string",
        "taxNo": "string",
        "vatNo": "string",
        "zip": "string"
    },
    "orderBaseInfo": {
        "actualAmount": 0,
        "amount": 0,
        "createTime": "2019-08-24T14:15:22.123Z",
        "currencyCode": "string",
        "currencySymbol": "string",
        "freight": 0,
        "goodsAmount": 0,
        "isPaid": true,
        "logisticsName": "string",
        "orderId": 0,
        "payTime": "2019-08-24T14:15:22.123Z",
        "platform": 0,
        "purchaseTime": "2019-08-24T14:15:22.123Z",
        "shelfTime": "2019-08-24T14:15:22.123Z",
        "status": 0,
        "statusDesc": "string",
        "storeOrderId": "string",
        "storeOrderNo": "string"
    },
    "orderItemInfos": [
        {
            "currencyCode": "string",
            "currencySymbol": "string",
            "goodsAttr": "string",
            "goodsId": 0,
            "id": 0,
            "productId": 0,
            "quantity": 0,
            "status": 0,
            "storeProductId": "string",
            "storeSkuId": "string",
            "type": 0,
            "unitPrice": 0
        }
    ]
}
Modified at 2026-05-11 06:05:17
Previous
getInventoryInfo
Next
getOrdersStatus
Built with